#ifndef _Handle_PBRep_PointsOnSurface_HeaderFile
#define _Handle_PBRep_PointsOnSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PBRep_PointRepresentation_HeaderFile
#include <Handle_PBRep_PointRepresentation.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PBRep_PointRepresentation);
class PBRep_PointsOnSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_PointsOnSurface);

class Handle(PBRep_PointsOnSurface) : public Handle(PBRep_PointRepresentation) {
  public:

    Handle(PBRep_PointsOnSurface)():Handle(PBRep_PointRepresentation)() {} 
    Handle(PBRep_PointsOnSurface)(const Handle(PBRep_PointsOnSurface)& aHandle) : Handle(PBRep_PointRepresentation)(aHandle) 
     {
     }

    Handle(PBRep_PointsOnSurface)(const PBRep_PointsOnSurface* anItem) : Handle(PBRep_PointRepresentation)((PBRep_PointRepresentation *)anItem) 
     {
     }

    Handle(PBRep_PointsOnSurface)& operator=(const Handle(PBRep_PointsOnSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_PointsOnSurface)& operator=(const PBRep_PointsOnSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_PointsOnSurface* operator->() const 
     {
      return (PBRep_PointsOnSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_PointsOnSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
